NL(1)

NAME
nl - number lines of files

SYNOPSIS
nl [OPTION]... [FILE]...

DESCRIPTION

Write each FILE to standard output, with line numbers added. With no FILE, or when FILE is -, read standard input.

Mandatory arguments to long options are mandatory for short options too.

-b, --body-numbering=STYLE
    use STYLE for numbering body lines

-d, --section-delimiter=CC
    use CC for separating logical pages

-f, --footer-numbering=STYLE
    use STYLE for numbering footer lines

-h, --header-numbering=STYLE
    use STYLE for numbering header lines

-i, --page-increment=NUMBER
    line number increment at each line

-l, --join-blank-lines=NUMBER
    group of NUMBER empty lines counted as one

-n, --number-format=FORMAT
    insert line numbers according to FORMAT

-p, --no-renumber
    do not reset line numbers at logical pages

-s, --number-separator=STRING
    add STRING after (possible) line number

-v, --first-page=NUMBER
    first line number on each logical page

-w, --number-width=NUMBER
    use NUMBER columns for line numbers

--help
    display this help and exit

--version
    output version information and exit

By default, selects -v1 -i1 -l1 -sTAB -w6 -nrn -hn -bt -fn. CC are two delimiter characters for separating logical pages, a missing second character implies :. Type \\ for \. STYLE is one of:

a   number all lines

t   number only nonempty lines

n   number no lines

pREGEXP
    number only lines that contain a match for REGEXP

FORMAT is one of:

ln  left justified, no leading zeros

rn  right justified, no leading zeros

rz  right justified, leading zeros

AUTHOR
Written by Scott Bartram and David MacKenzie.

REPORTING BUGS
Report bugs to <bug-coreutils@gnu.org>.

COPYRIGHT
Copyright © 2003 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for nl is maintained as a Texinfo manual. If the info and nl programs are properly installed at your site, the command

    info nl

should give you access to the complete manual.